%define shortname qalculate

Name: qalculate-gtk
Version: 0.9.6
Release: alt1.1.qa1

Summary: A very versatile desktop calculator - GTK+ version.
Group: Office
License: GPL
Url: http://qalculate.sourceforge.net
Packager: Alexey Morsov <swi@altlinux.ru>
Requires: %shortname-common

Source: %name-%version.tar.bz2

BuildRequires: gcc-c++ libcln-devel libdbus-glib libglade-devel libgmp-devel libgnome-devel 
BuildRequires: libqalculate-devel = %version
BuildRequires: perl-XML-Parser scrollkeeper

%description
Qalculate! is a modern multi-purpose desktop calculator for GNU/Linux. It is
small and simple to use but with much power and versatility underneath.
Features include customizable functions, units, arbitrary precision, plotting,
and a graphical interface (GTK+) that uses a one-line fault-tolerant
expression entry (although it supports optional traditional buttons).
This package contains GTK+ version.

%prep
%setup

%build 
%__autoreconf
%configure --disable-rpath --enable-static=no --disable-scrollkeeper
%make_build

%install
%make_install DESTDIR=%buildroot install

%__rm -f %buildroot%_bindir/qalculate
%__rm -rf %buildroot%_datadir/locale

%find_lang --with-gnome %shortname

%postun -n qalculate-gtk
%clean_menus


%post -n qalculate-gtk
%update_menus


%files -f %shortname.lang
%_bindir/%name
%_datadir/applications/*
%_datadir/gnome/help/
%_datadir/%name/glade/
%_pixmapsdir/%shortname.png


%changelog
* Thu Apr 10 2008 Igor Vlasenko <viy@altlinux.ru> 0.9.6-alt1.1.qa1
- NMU (by repocop): the following fixes applied:
 * update_menus for qalculate-gtk

* Mon Jan 21 2008 Alexey Morsov <swi@altlinux.ru> 0.9.6-alt1.1
- remove yelp (fix build)

* Mon Jun 18 2007 Alexey Morsov <swi@altlinux.ru> 0.9.6-alt1
- version 0.9.6
- clean spec for git

* Wed Dec 20 2006 Alexey Morsov <swi@altlinux.ru> 0.9.5-alt1
- initial build for sisyphus


